CWNNSTAT( )

NAME
cwnnstat - To show the current status of cserver.

SYNOPSIS
cwnnstat [-w] [-e] [-E] [-f] [-F] [-d] [-D]
          [-L lang ] [ hostname ]

DEFAULT PATH
/usr/local/bin/cWnn4/cwnnstat

DESCRIPTION
To request for the current execution status of the cserver for the current host. If hostname is specified, the status of the that specified host will be given.

OPTIONS

-w  To list the username, hostname, socket number and the environment number.

-e  To list the environment number, environment name and reference count.

-E  To list the environment number, environment name, reference count, grammar file number, number of dictionary used, (list of dictionary numbers) and the numbers of the files used in the current environment.

-f  To list the file ID of each cWnn file in the cserver, the file type, the location of file, reference count and the filename.

-F  Same as -f option

-d  To list the dictionary number of dictionaries managed by the host, the dictionary type, dictionary file number, dictionary filename, usage frequency filename and usage frequency file number.

-D  To list the dictionary number, type, conversion method, number of entries, static/dynamic, current usage status, priority, alias, filename, [(alias:usage frequency filename)], [password (frequency password)] of the dictionaries.

-L  To specify the language name which is referred during selection of cserver. If no lang is specified, the one specified by the environment variable LANG will be used. The default is "zh_CN".

NOTE

1.  The command options inside [ ] shown in the Command Format indicates that they are optional. If they are not required, "cwnnstat" alone is sufficient to obtain the status of cserver.

2.  Dictionary number is different from file number.

    - File number refers to the standardized number among
      all cWnn files.

    - Dictionary number refers to the logical dictionary
      number in the server.

3.  One dictionary file may consist of different usage frequency files, and each will form an individual dictionary.

4.  One dictionary file with different conversion methods (forward/reverse) will form different dictionaries.